Patch  oval:org.mitre.oval:def:17708
DEPRECATED: USN-574-1 -- linux-source-2.6.17/20/22 vulnerabilities (Deprecated)  

The minix filesystem did not properly validate certain filesystem values.
Create Date: 2013-07-22 Last Update Date: 2014-05-20

Affected Platforms/Products

Platforms: unix (from OVAL definitions) Products: unix
  • Ubuntu 7.10
  • Ubuntu 7.04
  • Ubuntu 6.10
  • linux-source-2.6.17
  • linux-source-2.6.20
  • linux-source-2.6.22

References

Criteria

The patch should be installed
IF : Any one of the following are true
IF : All of the following are true Release section
Prerequisites (Extended Definitions)
Ubuntu 7.10 is installed oval:org.mitre.oval:def:13354
IF : Any one of the following are true Packages match section
IF : linux-image-2.6.22-14-xen DPKG is earlier than 2.6.22-14.51
Linux : Debian DPKG Test :  linux-image-2.6.22-14-xen DPKG is earlier than 2.6.22-14.51 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-image-2.6.22-14-xen package information
linux-image-2.6.22-14-xen
RPM Version less than 0:2.6.22-14.51 (datatype=evr_string)
version is earlier than 0:2.6.22-14.51 linux : dpkginfo_state 
IF : linux-image-2.6.22-14-virtual DPKG is earlier than 2.6.22-14.51
Linux : Debian DPKG Test :  linux-image-2.6.22-14-virtual DPKG is earlier than 2.6.22-14.51 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-image-2.6.22-14-virtual package information
linux-image-2.6.22-14-virtual
RPM Version less than 0:2.6.22-14.51 (datatype=evr_string)
version is earlier than 0:2.6.22-14.51 linux : dpkginfo_state 
IF : linux-image-2.6.22-14-ume DPKG is earlier than 2.6.22-14.51
Linux : Debian DPKG Test :  linux-image-2.6.22-14-ume DPKG is earlier than 2.6.22-14.51 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-image-2.6.22-14-ume package information
linux-image-2.6.22-14-ume
RPM Version less than 0:2.6.22-14.51 (datatype=evr_string)
version is earlier than 0:2.6.22-14.51 linux : dpkginfo_state 
IF : linux-image-2.6.22-14-sparc64-smp DPKG is earlier than 2.6.22-14.51
Linux : Debian DPKG Test :  linux-image-2.6.22-14-sparc64-smp DPKG is earlier than 2.6.22-14.51 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-image-2.6.22-14-sparc64-smp package information
linux-image-2.6.22-14-sparc64-smp
RPM Version less than 0:2.6.22-14.51 (datatype=evr_string)
version is earlier than 0:2.6.22-14.51 linux : dpkginfo_state 
IF : linux-image-2.6.22-14-sparc64 DPKG is earlier than 2.6.22-14.51
Linux : Debian DPKG Test :  linux-image-2.6.22-14-sparc64 DPKG is earlier than 2.6.22-14.51 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-image-2.6.22-14-sparc64 package information
linux-image-2.6.22-14-sparc64
RPM Version less than 0:2.6.22-14.51 (datatype=evr_string)
version is earlier than 0:2.6.22-14.51 linux : dpkginfo_state 
IF : linux-image-2.6.22-14-server DPKG is earlier than 2.6.22-14.51
Linux : Debian DPKG Test :  linux-image-2.6.22-14-server DPKG is earlier than 2.6.22-14.51 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-image-2.6.22-14-server package information
linux-image-2.6.22-14-server
RPM Version less than 0:2.6.22-14.51 (datatype=evr_string)
version is earlier than 0:2.6.22-14.51 linux : dpkginfo_state 
IF : linux-image-2.6.22-14-rt DPKG is earlier than 2.6.22-14.51
Linux : Debian DPKG Test :  linux-image-2.6.22-14-rt DPKG is earlier than 2.6.22-14.51 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-image-2.6.22-14-rt package information
linux-image-2.6.22-14-rt
RPM Version less than 0:2.6.22-14.51 (datatype=evr_string)
version is earlier than 0:2.6.22-14.51 linux : dpkginfo_state 
IF : linux-image-2.6.22-14-powerpc64-smp DPKG is earlier than 2.6.22-14.51
Linux : Debian DPKG Test :  linux-image-2.6.22-14-powerpc64-smp DPKG is earlier than 2.6.22-14.51 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-image-2.6.22-14-powerpc64-smp package information
linux-image-2.6.22-14-powerpc64-smp
RPM Version less than 0:2.6.22-14.51 (datatype=evr_string)
version is earlier than 0:2.6.22-14.51 linux : dpkginfo_state 
IF : linux-image-2.6.22-14-powerpc-smp DPKG is earlier than 2.6.22-14.51
Linux : Debian DPKG Test :  linux-image-2.6.22-14-powerpc-smp DPKG is earlier than 2.6.22-14.51 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-image-2.6.22-14-powerpc-smp package information
linux-image-2.6.22-14-powerpc-smp
RPM Version less than 0:2.6.22-14.51 (datatype=evr_string)
version is earlier than 0:2.6.22-14.51 linux : dpkginfo_state 
IF : linux-image-2.6.22-14-powerpc DPKG is earlier than 2.6.22-14.51
Linux : Debian DPKG Test :  linux-image-2.6.22-14-powerpc DPKG is earlier than 2.6.22-14.51 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-image-2.6.22-14-powerpc package information
linux-image-2.6.22-14-powerpc
RPM Version less than 0:2.6.22-14.51 (datatype=evr_string)
version is earlier than 0:2.6.22-14.51 linux : dpkginfo_state 
IF : linux-image-2.6.22-14-itanium DPKG is earlier than 2.6.22-14.51
Linux : Debian DPKG Test :  linux-image-2.6.22-14-itanium DPKG is earlier than 2.6.22-14.51 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-image-2.6.22-14-itanium package information
linux-image-2.6.22-14-itanium
RPM Version less than 0:2.6.22-14.51 (datatype=evr_string)
version is earlier than 0:2.6.22-14.51 linux : dpkginfo_state 
IF : linux-image-2.6.22-14-lpia DPKG is earlier than 2.6.22-14.51
Linux : Debian DPKG Test :  linux-image-2.6.22-14-lpia DPKG is earlier than 2.6.22-14.51 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-image-2.6.22-14-lpia package information
linux-image-2.6.22-14-lpia
RPM Version less than 0:2.6.22-14.51 (datatype=evr_string)
version is earlier than 0:2.6.22-14.51 linux : dpkginfo_state 
IF : linux-image-2.6.22-14-lpiacompat DPKG is earlier than 2.6.22-14.51
Linux : Debian DPKG Test :  linux-image-2.6.22-14-lpiacompat DPKG is earlier than 2.6.22-14.51 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-image-2.6.22-14-lpiacompat package information
linux-image-2.6.22-14-lpiacompat
RPM Version less than 0:2.6.22-14.51 (datatype=evr_string)
version is earlier than 0:2.6.22-14.51 linux : dpkginfo_state 
IF : linux-image-2.6.22-14-mckinley DPKG is earlier than 2.6.22-14.51
Linux : Debian DPKG Test :  linux-image-2.6.22-14-mckinley DPKG is earlier than 2.6.22-14.51 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-image-2.6.22-14-mckinley package information
linux-image-2.6.22-14-mckinley
RPM Version less than 0:2.6.22-14.51 (datatype=evr_string)
version is earlier than 0:2.6.22-14.51 linux : dpkginfo_state 
IF : linux-image-2.6.22-14-hppa64 DPKG is earlier than 2.6.22-14.51
Linux : Debian DPKG Test :  linux-image-2.6.22-14-hppa64 DPKG is earlier than 2.6.22-14.51 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-image-2.6.22-14-hppa64 package information
linux-image-2.6.22-14-hppa64
RPM Version less than 0:2.6.22-14.51 (datatype=evr_string)
version is earlier than 0:2.6.22-14.51 linux : dpkginfo_state 
IF : linux-image-2.6.22-14-hppa32 DPKG is earlier than 2.6.22-14.51
Linux : Debian DPKG Test :  linux-image-2.6.22-14-hppa32 DPKG is earlier than 2.6.22-14.51 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-image-2.6.22-14-hppa32 package information
linux-image-2.6.22-14-hppa32
RPM Version less than 0:2.6.22-14.51 (datatype=evr_string)
version is earlier than 0:2.6.22-14.51 linux : dpkginfo_state 
IF : linux-image-2.6.22-14-generic DPKG is earlier than 2.6.22-14.51
Linux : Debian DPKG Test :  linux-image-2.6.22-14-generic DPKG is earlier than 2.6.22-14.51 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-image-2.6.22-14-generic package information
linux-image-2.6.22-14-generic
RPM Version less than 0:2.6.22-14.51 (datatype=evr_string)
version is earlier than 0:2.6.22-14.51 linux : dpkginfo_state 
IF : linux-image-2.6.22-14-cell DPKG is earlier than 2.6.22-14.51
Linux : Debian DPKG Test :  linux-image-2.6.22-14-cell DPKG is earlier than 2.6.22-14.51 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-image-2.6.22-14-cell package information
linux-image-2.6.22-14-cell
RPM Version less than 0:2.6.22-14.51 (datatype=evr_string)
version is earlier than 0:2.6.22-14.51 linux : dpkginfo_state 
IF : linux-image-2.6.22-14-386 DPKG is earlier than 2.6.22-14.51
Linux : Debian DPKG Test :  linux-image-2.6.22-14-386 DPKG is earlier than 2.6.22-14.51 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-image-2.6.22-14-386 package information
linux-image-2.6.22-14-386
RPM Version less than 0:2.6.22-14.51 (datatype=evr_string)
version is earlier than 0:2.6.22-14.51 linux : dpkginfo_state 
IF : All of the following are true Release section
Prerequisites (Extended Definitions)
Ubuntu 7.04 is installed oval:org.mitre.oval:def:17290
IF : Any one of the following are true Packages match section
IF : linux-image-2.6.20-16-sparc64-smp DPKG is earlier than 2.6.20-16.34
Linux : Debian DPKG Test :  linux-image-2.6.20-16-sparc64-smp DPKG is earlier than 2.6.20-16.34 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-image-2.6.20-16-sparc64-smp package information
linux-image-2.6.20-16-sparc64-smp
RPM Version less than 0:2.6.20-16.34 (datatype=evr_string)
version is earlier than 0:2.6.20-16.34 linux : dpkginfo_state 
IF : linux-image-2.6.20-16-sparc64 DPKG is earlier than 2.6.20-16.34
Linux : Debian DPKG Test :  linux-image-2.6.20-16-sparc64 DPKG is earlier than 2.6.20-16.34 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-image-2.6.20-16-sparc64 package information
linux-image-2.6.20-16-sparc64
RPM Version less than 0:2.6.20-16.34 (datatype=evr_string)
version is earlier than 0:2.6.20-16.34 linux : dpkginfo_state 
IF : linux-image-2.6.20-16-server-bigiron DPKG is earlier than 2.6.20-16.34
Linux : Debian DPKG Test :  linux-image-2.6.20-16-server-bigiron DPKG is earlier than 2.6.20-16.34 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-image-2.6.20-16-server-bigiron package information
linux-image-2.6.20-16-server-bigiron
RPM Version less than 0:2.6.20-16.34 (datatype=evr_string)
version is earlier than 0:2.6.20-16.34 linux : dpkginfo_state 
IF : linux-image-2.6.20-16-server DPKG is earlier than 2.6.20-16.34
Linux : Debian DPKG Test :  linux-image-2.6.20-16-server DPKG is earlier than 2.6.20-16.34 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-image-2.6.20-16-server package information
linux-image-2.6.20-16-server
RPM Version less than 0:2.6.20-16.34 (datatype=evr_string)
version is earlier than 0:2.6.20-16.34 linux : dpkginfo_state 
IF : linux-image-2.6.20-16-powerpc64-smp DPKG is earlier than 2.6.20-16.34
Linux : Debian DPKG Test :  linux-image-2.6.20-16-powerpc64-smp DPKG is earlier than 2.6.20-16.34 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-image-2.6.20-16-powerpc64-smp package information
linux-image-2.6.20-16-powerpc64-smp
RPM Version less than 0:2.6.20-16.34 (datatype=evr_string)
version is earlier than 0:2.6.20-16.34 linux : dpkginfo_state 
IF : linux-image-2.6.20-16-powerpc-smp DPKG is earlier than 2.6.20-16.34
Linux : Debian DPKG Test :  linux-image-2.6.20-16-powerpc-smp DPKG is earlier than 2.6.20-16.34 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-image-2.6.20-16-powerpc-smp package information
linux-image-2.6.20-16-powerpc-smp
RPM Version less than 0:2.6.20-16.34 (datatype=evr_string)
version is earlier than 0:2.6.20-16.34 linux : dpkginfo_state 
IF : linux-image-2.6.20-16-powerpc DPKG is earlier than 2.6.20-16.34
Linux : Debian DPKG Test :  linux-image-2.6.20-16-powerpc DPKG is earlier than 2.6.20-16.34 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-image-2.6.20-16-powerpc package information
linux-image-2.6.20-16-powerpc
RPM Version less than 0:2.6.20-16.34 (datatype=evr_string)
version is earlier than 0:2.6.20-16.34 linux : dpkginfo_state 
IF : linux-image-2.6.20-16-mckinley DPKG is earlier than 2.6.20-16.34
Linux : Debian DPKG Test :  linux-image-2.6.20-16-mckinley DPKG is earlier than 2.6.20-16.34 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-image-2.6.20-16-mckinley package information
linux-image-2.6.20-16-mckinley
RPM Version less than 0:2.6.20-16.34 (datatype=evr_string)
version is earlier than 0:2.6.20-16.34 linux : dpkginfo_state 
IF : linux-image-2.6.20-16-lowlatency DPKG is earlier than 2.6.20-16.34
Linux : Debian DPKG Test :  linux-image-2.6.20-16-lowlatency DPKG is earlier than 2.6.20-16.34 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-image-2.6.20-16-lowlatency package information
linux-image-2.6.20-16-lowlatency
RPM Version less than 0:2.6.20-16.34 (datatype=evr_string)
version is earlier than 0:2.6.20-16.34 linux : dpkginfo_state 
IF : linux-image-2.6.20-16-itanium DPKG is earlier than 2.6.20-16.34
Linux : Debian DPKG Test :  linux-image-2.6.20-16-itanium DPKG is earlier than 2.6.20-16.34 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-image-2.6.20-16-itanium package information
linux-image-2.6.20-16-itanium
RPM Version less than 0:2.6.20-16.34 (datatype=evr_string)
version is earlier than 0:2.6.20-16.34 linux : dpkginfo_state 
IF : linux-image-2.6.20-16-hppa64 DPKG is earlier than 2.6.20-16.34
Linux : Debian DPKG Test :  linux-image-2.6.20-16-hppa64 DPKG is earlier than 2.6.20-16.34 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-image-2.6.20-16-hppa64 package information
linux-image-2.6.20-16-hppa64
RPM Version less than 0:2.6.20-16.34 (datatype=evr_string)
version is earlier than 0:2.6.20-16.34 linux : dpkginfo_state 
IF : linux-image-2.6.20-16-hppa32 DPKG is earlier than 2.6.20-16.34
Linux : Debian DPKG Test :  linux-image-2.6.20-16-hppa32 DPKG is earlier than 2.6.20-16.34 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-image-2.6.20-16-hppa32 package information
linux-image-2.6.20-16-hppa32
RPM Version less than 0:2.6.20-16.34 (datatype=evr_string)
version is earlier than 0:2.6.20-16.34 linux : dpkginfo_state 
IF : linux-image-2.6.20-16-generic DPKG is earlier than 2.6.20-16.34
Linux : Debian DPKG Test :  linux-image-2.6.20-16-generic DPKG is earlier than 2.6.20-16.34 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-image-2.6.20-16-generic package information
linux-image-2.6.20-16-generic
RPM Version less than 0:2.6.20-16.34 (datatype=evr_string)
version is earlier than 0:2.6.20-16.34 linux : dpkginfo_state 
IF : linux-image-2.6.20-16-386 DPKG is earlier than 2.6.20-16.34
Linux : Debian DPKG Test :  linux-image-2.6.20-16-386 DPKG is earlier than 2.6.20-16.34 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-image-2.6.20-16-386 package information
linux-image-2.6.20-16-386
RPM Version less than 0:2.6.20-16.34 (datatype=evr_string)
version is earlier than 0:2.6.20-16.34 linux : dpkginfo_state 
IF : All of the following are true Release section
Prerequisites (Extended Definitions)
Ubuntu 6.10 is installed oval:org.mitre.oval:def:17043
IF : Any one of the following are true Packages match section
IF : linux-image-2.6.17-12-sparc64 DPKG is earlier than 2.6.17.1-12.43
Linux : Debian DPKG Test :  linux-image-2.6.17-12-sparc64 DPKG is earlier than 2.6.17.1-12.43 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-image-2.6.17-12-sparc64 package information
linux-image-2.6.17-12-sparc64
RPM Version less than 0:2.6.17.1-12.43 (datatype=evr_string)
version is earlier than 0:2.6.17.1-12.43 linux : dpkginfo_state 
IF : linux-image-2.6.17-12-sparc64-smp DPKG is earlier than 2.6.17.1-12.43
Linux : Debian DPKG Test :  linux-image-2.6.17-12-sparc64-smp DPKG is earlier than 2.6.17.1-12.43 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-image-2.6.17-12-sparc64-smp package information
linux-image-2.6.17-12-sparc64-smp
RPM Version less than 0:2.6.17.1-12.43 (datatype=evr_string)
version is earlier than 0:2.6.17.1-12.43 linux : dpkginfo_state 
IF : linux-image-2.6.17-12-powerpc-smp DPKG is earlier than 2.6.17.1-12.43
Linux : Debian DPKG Test :  linux-image-2.6.17-12-powerpc-smp DPKG is earlier than 2.6.17.1-12.43 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-image-2.6.17-12-powerpc-smp package information
linux-image-2.6.17-12-powerpc-smp
RPM Version less than 0:2.6.17.1-12.43 (datatype=evr_string)
version is earlier than 0:2.6.17.1-12.43 linux : dpkginfo_state 
IF : linux-image-2.6.17-12-powerpc64-smp DPKG is earlier than 2.6.17.1-12.43
Linux : Debian DPKG Test :  linux-image-2.6.17-12-powerpc64-smp DPKG is earlier than 2.6.17.1-12.43 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-image-2.6.17-12-powerpc64-smp package information
linux-image-2.6.17-12-powerpc64-smp
RPM Version less than 0:2.6.17.1-12.43 (datatype=evr_string)
version is earlier than 0:2.6.17.1-12.43 linux : dpkginfo_state 
IF : linux-image-2.6.17-12-server DPKG is earlier than 2.6.17.1-12.43
Linux : Debian DPKG Test :  linux-image-2.6.17-12-server DPKG is earlier than 2.6.17.1-12.43 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-image-2.6.17-12-server package information
linux-image-2.6.17-12-server
RPM Version less than 0:2.6.17.1-12.43 (datatype=evr_string)
version is earlier than 0:2.6.17.1-12.43 linux : dpkginfo_state 
IF : linux-image-2.6.17-12-powerpc DPKG is earlier than 2.6.17.1-12.43
Linux : Debian DPKG Test :  linux-image-2.6.17-12-powerpc DPKG is earlier than 2.6.17.1-12.43 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-image-2.6.17-12-powerpc package information
linux-image-2.6.17-12-powerpc
RPM Version less than 0:2.6.17.1-12.43 (datatype=evr_string)
version is earlier than 0:2.6.17.1-12.43 linux : dpkginfo_state 
IF : linux-image-2.6.17-12-hppa64 DPKG is earlier than 2.6.17.1-12.43
Linux : Debian DPKG Test :  linux-image-2.6.17-12-hppa64 DPKG is earlier than 2.6.17.1-12.43 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-image-2.6.17-12-hppa64 package information
linux-image-2.6.17-12-hppa64
RPM Version less than 0:2.6.17.1-12.43 (datatype=evr_string)
version is earlier than 0:2.6.17.1-12.43 linux : dpkginfo_state 
IF : linux-image-2.6.17-12-itanium DPKG is earlier than 2.6.17.1-12.43
Linux : Debian DPKG Test :  linux-image-2.6.17-12-itanium DPKG is earlier than 2.6.17.1-12.43 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-image-2.6.17-12-itanium package information
linux-image-2.6.17-12-itanium
RPM Version less than 0:2.6.17.1-12.43 (datatype=evr_string)
version is earlier than 0:2.6.17.1-12.43 linux : dpkginfo_state 
IF : linux-image-2.6.17-12-mckinley DPKG is earlier than 2.6.17.1-12.43
Linux : Debian DPKG Test :  linux-image-2.6.17-12-mckinley DPKG is earlier than 2.6.17.1-12.43 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-image-2.6.17-12-mckinley package information
linux-image-2.6.17-12-mckinley
RPM Version less than 0:2.6.17.1-12.43 (datatype=evr_string)
version is earlier than 0:2.6.17.1-12.43 linux : dpkginfo_state 
IF : linux-image-2.6.17-12-generic DPKG is earlier than 2.6.17.1-12.43
Linux : Debian DPKG Test :  linux-image-2.6.17-12-generic DPKG is earlier than 2.6.17.1-12.43 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-image-2.6.17-12-generic package information
linux-image-2.6.17-12-generic
RPM Version less than 0:2.6.17.1-12.43 (datatype=evr_string)
version is earlier than 0:2.6.17.1-12.43 linux : dpkginfo_state 
IF : linux-image-2.6.17-12-hppa32 DPKG is earlier than 2.6.17.1-12.43
Linux : Debian DPKG Test :  linux-image-2.6.17-12-hppa32 DPKG is earlier than 2.6.17.1-12.43 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-image-2.6.17-12-hppa32 package information
linux-image-2.6.17-12-hppa32
RPM Version less than 0:2.6.17.1-12.43 (datatype=evr_string)
version is earlier than 0:2.6.17.1-12.43 linux : dpkginfo_state 
IF : linux-image-2.6.17-12-server-bigiron DPKG is earlier than 2.6.17.1-12.43
Linux : Debian DPKG Test :  linux-image-2.6.17-12-server-bigiron DPKG is earlier than 2.6.17.1-12.43 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-image-2.6.17-12-server-bigiron package information
linux-image-2.6.17-12-server-bigiron
RPM Version less than 0:2.6.17.1-12.43 (datatype=evr_string)
version is earlier than 0:2.6.17.1-12.43 linux : dpkginfo_state 
IF : linux-image-2.6.17-12-386 DPKG is earlier than 2.6.17.1-12.43
Linux : Debian DPKG Test :  linux-image-2.6.17-12-386 DPKG is earlier than 2.6.17.1-12.43 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-image-2.6.17-12-386 package information
linux-image-2.6.17-12-386
RPM Version less than 0:2.6.17.1-12.43 (datatype=evr_string)
version is earlier than 0:2.6.17.1-12.43 linux : dpkginfo_state 

Quick Help

evr_string datatype
Represents epoch, version, and release number as a single version string
Other Help Topics
Data Types
What is an Object?
What is a State?
What is a Test?
Other Help Topics
Regular Expression Patterns
Some object or state definitions are defined as regular expression patterns, you should interpret the regexp pattern while evaluating them.

OVAL Definitions By Referenced Objects

How does it work?   User agreement and privacy statement   About & Contact
CVE is a registred trademark of the MITRE Corporation and the authoritive source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritive source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritive source of OVAL content is MITRE's OVAL web site.
Warning: This site and all data are provided as is. It is not guaranteed that all information is accurate and complete. Use any information provided on this site at your own risk. By using this site you accept that you know that these data are provided as is and not guaranteed to be accurate, correct or complete. All trademarks appearing on this site are the property of their respective owners in the US or other countries. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss. PLEASE SEE nvd.nist.gov and oval.mitre.org for more details about OVAL language and definitions.
The information within this database may change without notice. Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. In no event shall the author/distributor/web site owner/maintainer be held liable for any damages whatsoever arising out of or in connection with the use or spread of this information.
Use of OVAL and all related data is subject to terms of use defined by Mitre at http://oval.mitre.org/oval/about/termsofuse.html